<div style="text-align: right;">国土交通省　平成31年3月27日版</div>

# バス情報配信方法ガイドライン

本ガイドラインには、GTFSリアルタイムフォーマットに基づいてデータを提供および利用する際に推奨する方法について記載します。

本ガイドラインは、データを提供する情報処理技術者を主な対象読者として作成しています。

## ライセンス

オープンデータとして配布する場合は、以下のいずれかのライセンスを推奨します。

1. [CC0 1.0（著作権なし）](https://creativecommons.org/publicdomain/zero/1.0/deed.ja)
2. [CC BY 4.0（著作権表示を要求）](https://creativecommons.org/licenses/by/4.0/deed.ja)

オープンデータとして広く活用してもらうためには、NC（非営利目的での利用に限定）、ND（改変を禁止）の制約は適切ではありません。

商用データとして提供する場合等は、適宜ライセンスを設定してください。

## 配信サイト

データ配信を行うWebサイトは、バス事業者、自治体、バスロケーションシステム事業者、経路検索事業者などが設置するパターンがあります。バスロケーション情報の配信有無、システム構成、契約条件等に応じて適切な方法を選択してください。

動的データについては、バスロケーションシステムと連携して自動的にデータが更新される仕組みが必要です。

以下に実施例を示します。

| 設置者                         | 実施例                                                       |
| ------------------------------ | ------------------------------------------------------------ |
| バス事業者                     | [永井運輸](http://www.nagai-unyu.net/rosen/GTFS/index.html)  |
| 自治体                         | [富山市（オープンデータカタログサイト）](http://opdt.city.toyama.lg.jp/dataset/toyamacity-bus-gtfs-jp)<br />[佐賀県（バスデータ専用サイト）](http://opendata.sagabus.info/) |
| バスロケーションシステム事業者 | [リオス Bus-Vision（両備バス・岡電バス）](https://loc.bus-vision.jp/ryobi/view/opendata.html) |
| 経路検索事業者                 | [ジョルダン 公共交通データHUBシステム（群馬県内各社）](https://gma.jcld.jp/GMA_OPENDATA/) |

## ファイル構成・URL

ダイヤ改正の前後にデータを適切かつ迅速に取り込めるよう、下記の方法を推奨します。

### 当日の静的データと動的データを固定URLで取得できるようにする

データ利用者が自動的に現行データを取得できるように、当日の静的データと動的データは固定URLにて提供することが望ましいです。アクセス制限を行う場合は、ログイン等を必要とせず、APIキーを使用して取得できるようにします。

- 当日の静的データのURL例：~/gtfs/gtfs.zip
- 動的データのURL例：~/gtfs-rt/trip_update.pb

時刻の変更だけであれば、臨時ダイヤやダイヤ改正後の情報も1つの静的データに予め含めることができます。

ダイヤ改正日にファイル名の差し替え等を行うことが望ましいですが、データを手動で掲載しており、動的データの提供やデジタルサイネージ等による静的データの自動取込を行っていないのであれば、ファイル名の差し替えが遅れてもやむを得ません。

### 予定版の静的データを取得できるようにする

経路検索事業者等はデータの取込に数日～数週間かかるため、予定版の静的データをダイヤ改正前から配信します。予定データのURLはデータ配信サイト上に記します。

* 予定版静的データのURL例：~/gtfs/20190401.zip

## 記載内容

配信サイトには、下記等の内容を記載します。

| 対象       | 項目          | 記載例                                                       |
| ---------- | ------------- | ------------------------------------------------------------ |
| 全般       | ライセンス    | CC0 1.0                                                      |
| 静的データ | 更新日        | 2019-03-10                                                   |
|            | 改正日        | 2019-04-01                                                   |
|            | 更新内容      | ダイヤ改正（公園線開業、時刻修正）                           |
|            | 静的データURL | https://www.dummy_agency.co.jp/gtfs/gtfs.zip                 |
| 動的データ | 更新間隔      | 15秒間隔                                                     |
|            | 動的データURL | https://www.dummy_agency.co.jp/gtfs-rt/trip_update.pb<br />https://www.dummy_agency.co.jp/gtfs-rt/vehicle_position.pb |


