<div style="text-align: right;">国土交通省　平成31年3月27日版</div>

「標準的なバス情報フォーマット」データ整備の手引き
==========================

本手引きには、「標準的なバス情報フォーマット」に沿ったバスデータを整備・提供するにあたっての、計画の流れや留意点について記載します。

本手引きは、「標準的なバス情報フォーマット」を用いてバスの情報化を具体的に進めようとしているバス事業者や自治体（コミュニティバス）の担当職員、並びに必要に応じて受委託契約を締結する情報処理技術者を主な対象読者として作成しています。

## 整備対象の検討
### 対象事業者・路線
* コミュニティバス等の自治体と民間事業者が協力して運行している場合、自治体と民間事業者のどちらがデータを整備するか明確にします。民間事業者が整備しているデータの中に、コミュニティバス等が含まれている場合があるので留意してください。（参考：静的バス情報フォーマット(GTFS-JP)仕様書「2-1-1. コミュニティバス等における設定方法」）
* 共同運行路線の場合、 全事業者のデータが揃うかどうか、揃わない場合の対応方針について確認します。
* 一般路線バスを基本としていますが、高速バスのデータを整備してもかまいません。
* オンデマンドバスについては、フリー乗降方式や、立ち寄りにより時刻が変わる場合など、データの作成や取込が困難な場合があることに留意してください。（参考：静的バス情報フォーマット(GTFS-JP)仕様書「2-6-1. オンデマンドバスの設定例」）
### 動的データも整備するか
* バスロケーションシステムを導入している場合、動的データ(GTFSリアルタイム)も整備対象とするか検討します。
* 動的データは静的データ(GTFS-JP)と組み合わせて利用するため、静的データの整備も必要です。
##  提供先の検討
### オープンデータとして配信するか
* オープンデータとして配信することで、幅広いサービスにデータが利用されることに加え、利用者との連絡や契約が簡易になる可能性があります。
* 公開済のオープンデータは「[GTFS・「標準的なバス情報フォーマット」オープンデータ一覧](http://tshimada291.sakura.ne.jp/transport/gtfs-list.html)」(旭川工業高等専門学校  嶋田鉄兵助教 提供)から確認することができます。
### どの経路検索事業者に提供するか
* 提供先は多いほど望ましいですが、各社基準によるデータの検証などに時間がかかる可能性があります。
* 掲載済のバス事業者であっても、標準的なバス情報フォーマットに基づいて提供することで、リアルタイム情報への対応や、データの精度・鮮度向上が可能になる場合があります。
* 掲載済バス事業者の一覧は、下記URLから確認が可能です。
  * ヴァル研究所：https://ekiworld.net/service/spec/info.html
  * 駅探：https://bus.ekitan.com/rosen/index.shtml
  * ジョルダン：https://www.jorudan.co.jp/bus/rosen/
  * Google：https://maps.google.com/landing/transit/cities/
  * ナビタイムジャパン：https://www.navitime.co.jp/serviceinfo/buscompanylist/

<div style="page-break-before:always"></div>

## 整備方法（システム・委託）の検討

データ整備方法は大きく分けて次の3つの方法が一般的です。

1. 導入済みシステムからの出力
2. データ作成代行業者への委託
3. 無償ツールを用いた自力整備

システムの導入状況や、バス事業者や自治体の人員や技術の状況によって選択してください。

その他、テキストエディタ等を用いた簡易なデータ作成や、独自ツールによる作成を行っても構いません。

### 導入済みシステムからの出力

ダイヤ編成支援システムやバスロケーションシステムを導入済または導入予定の場合、それらのシステムからデータを出力するのがスムーズです。対応状況については、システム提供会社にお問い合わせください。

#### ダイヤ編成支援システム

静的データ（GTFS-JP）の出力に対応したシステムがあります。

#### バスロケーションシステム

動的データ（GTFS-RT）の出力に対応したシステムがあります。静的データ（GTFS-JP）も併せて出力できる場合もあります。

#### システムから出力時の留意点

* **対応項目**：標準的なバス情報フォーマットまたはGTFS対応を謳っているシステムも、その対応項目はまちまちです。必要な情報の出力に対応していない場合や、新たなデータ整備が必要になる場合があります。[データ整備・活用事例](examples.md)や、各社の製品情報や問い合わせ結果を参考にしてください。
  * **運賃**：ダイヤ編成システム、バスロケーションシステム共に扱っていない場合が多くあります。
  * **バス停緯度・経度**：ダイヤ編成支援システムによっては、扱っていない場合があります。
  * **運行日**：ダイヤ編成支援システムによっては、「平日」「土休日」等の運行パターンのみを管理しており、該当する日付が不明な場合があります。
* **ダイヤとバスロケーション情報の紐付け**：現在位置情報しかない、系統や行先は紐付くがダイヤと紐付かない、といった簡易なバスロケーションシステムでは、GTFSリアルタイムデータを作成することができません。システムの置換や改修を検討してください。
* **データ同期**：静的データをダイヤ編成支援システムから出力し、動的データをバスロケーションシステムから出力する場合、IDの整合が取れること、ダイヤ改正時に同期できることなどを確認してください。
* **有償オプション**：標準的なバス情報フォーマットの出力機能は、有償のオプションとなっている場合があります。

### データ作成代行業者への委託

#### 経路検索事業者への委託

自社の経路検索サービスへの取込だけでなく、標準的なバス情報フォーマットに基づくデータ提供や、Google Maps等への掲載を代行している経路検索事業者があります。

#### IT企業等への委託

経路検索事業者以外にも、標準的なバス情報フォーマット、またはGTFSデータの整備を行っている企業があります。

### 無償ツールを用いた自力整備

国内で開発された無償ツールを下記に示します。初期データ作成を代行する業者もあります。

#### その筋屋

無償版としても提供されるダイヤ編成支援システムです。仕業編成、帳票出力等の機能を持っており、バス運行業務全般をIT化する場合に向いています。ダイヤ編成機能のみを利用することもできます。動的データの運行情報（GTFSリアルタイムのAlert）の作成も可能です。運賃機器メーカーの三角表データを取り込むこともできます。

- 提供者：Sujiya Systems
- URL：http://www.sinjidai.com/sujiya/

#### 標準的なバス情報フォーマット出力ツール（西沢ツール）

Excelマクロを利用したツールです。GTFS-JPデータの作成に特化しているため、比較的簡易に導入できます。

- 提供者：東京大学空間情報科学研究センター 西沢明 特任教授
- URL：https://home.csis.u-tokyo.ac.jp/~nishizawa/gtfs/

#### 見える化共通入力フォーマット

Excelマクロを利用したツールです。西沢ツールと類似した特徴があります。

- 提供者：三重県生活交通確保対策協議会・公共交通利用促進ネットワーク
- URL：https://www.rosenzu.com/net/mieru/fm/

### 参考情報

* 参考事例
  * 「[データ整備・活用事例](examples.md)」をご覧ください。
* 九州運輸局「標準的なバス情報フォーマット作成方法検討マニュアル」
  * データ整備方法の選択、委託、運用にあたっての留意点等について詳しく記載されています。
  * http://wwwtb.mlit.go.jp/kyushu/m_koukatsu.html

<div style="page-break-before:always"></div>

## 作成

### 解説書

下記の文書を参考に、データを作成、またはデータ作成ツールの開発を行ってください。

* 静的データ
  * 「静的バス情報フォーマット（GTFS-JP）仕様書」
  * Google Developers「静的なGTFSの概要」
    * https://developers.google.com/transit/gtfs/?hl=ja
  * GTFS.org「GTFS Data Best Practices」（英語）
    * https://gtfs.org/best-practices/
* 動的データ
  - 「[動的バス情報フォーマット（GTFSリアルタイム）ガイドライン](gtfs-realtime_guidelines.md)」
  - Google Developers「GTFSリアルタイムとは」
    - https://developers.google.com/transit/gtfs-realtime/?hl=ja

### 静的データの作成

静的データ(GTFS-JP)の作成には下記の情報が必要です。

| 対象         | ファイル(.txt)                  | 必須 | 主な情報                             | 主な情報源                           |
| ------------ | ------------------------------- | ---- | ------------------------------------ | ------------------------------------ |
| 停留所       | stops                           | 必須 | 名称、標柱（のりば）の緯度・経度     | GIS登録データ、地理院地図、実測      |
| 経路（系統） | routes                          | 必須 | 経路（系統）名称                     | 路線時刻表、運行計画概要書           |
| 時刻表       | trips<br />stop_times           | 必須 | 便ごとの発着時刻                     | 路線時刻表                           |
| 運行日       | calendar<br />calendar_dates    | 必須 | 運行曜日、運行・運休日               | 運行計画概要書                       |
| 運賃         | fare_attributes<br />fare_rules | 必須 | 停留所間の運賃                       | 三角表                               |
| 描画情報     | shapes                          | 任意 | 路線形状の緯度・経度                 | バスマップ、路線図、地理院地図、実測 |
| 翻訳情報     | translations                    | 必須 | よみがな（必須）、外国語表記（任意） | 車内アナウンス原稿                   |

既存システムへのデータ追加投入、自力データ整備、外部委託いずれにおいても、必要な情報を収集・作成する必要があります。「主な情報源」に記載した資料などからデータを作成してください。

#### 静的データ作成時のよくある課題

##### IDが無いまたは異なるためデータを結合できない

* 名称等の一覧はあるがIDが付与されていない。
* ダイヤ編成システムと運賃機器システムとで停留所のIDが異なる。
* 対策：名称等により対応づける

##### 正確な緯度経度が不明

* バスマップや、停留所ごとの座標しか無いため、標柱ごとの座標や、経路の座標がわからない。
* 対策：地理院地図等を用いてデータを作成する。下記の支援ツールや手順も利用可能。
  * [路線形状データ(shapes.txt)を作成するツール](https://home.csis.u-tokyo.ac.jp/~nishizawa/gtfs/)
  * [地理院地図を使ってバス停の座標データを作成する方法](https://home.csis.u-tokyo.ac.jp/~nishizawa/gtfs/)
  * [その筋屋](http://www.sinjidai.com/sujiya/)

##### 運賃三角表が整理券番号（運賃区界）単位

* 入手可能な運賃三角表が、全バス停間ではなく、整理券番号（運賃区界）単位になっている。
* 対策：全バス停間のデータを変換する。[その筋屋](http://www.sinjidai.com/sujiya/)を用いて運賃機器用の三角表データを取り込むこともできる。

##### 経路のまとめ方が申請書や時刻表と合わない

* 運輸支局への届出に用いる運行計画概要書の系統は、往復あわせて1系統で定義されている。
* 紙の路線時刻表では、経由違い区間便もあわせて1系統で定義されている。
* 対策：GTFS-JPの経路(route)では経由違いや区間便、往路・復路は別の経路として設定することを基本としているため、これらを分けて経路を定義し直す。

##### 外国語表記の仕方がわからない

* 外国語表記のデータを新たに作成する必要があるが、表記の仕方がわからない。
* 対策：日本バス協会「訪日外国人旅行者のバス利用を想定した多言語対応に関するガイドライン」(<http://www.bus.or.jp/news/tagengo.pdf>)を参考にする。下記のような事項が記載されている。
  * 原則として発音通りローマ字表記とする
    例：金閣寺前 → Kinkakuji-mae
  * 訪日外国人の関心が高くローマ字表記で理解しがたい場合は（）で補足表記する
      例：永代橋 → Eitaibashi （Eitai Bridge）
  * 「駅」は「StationまたはSta.」と表記する
      例：吉祥寺駅 → Kichijoji Sta.

### 動的データの作成

動的データには下記の情報を含めることができます。

| 対象           | 要素            | 設定可能な主な情報                                      |
| -------------- | --------------- | ------------------------------------------------------- |
| ルート最新情報 | TripUpdate      | 遅延、発着時刻予測、通過                                |
| 車両位置情報   | VehiclePosition | 車両の緯度・経度、接近情報、混雑度                      |
| 運行情報       | Alert           | 見出し、影響（運休、迂回等）、原因（天候、事故等）、URL |

ルート最新情報、車両位置情報については、バスロケーションシステムのデータを変換して作成します。

運行情報の作成に対応した無償ツールとしては、「[その筋屋](http://www.sinjidai.com/sujiya/)」が利用可能です。

<div style="page-break-before:always"></div>

## 検証

オープンデータとしての公開や、経路検索事業者への提供の前に、データ検証を行うようにしてください。

データ検証用のツールを用いることで、エラーや警告を検出することができます。

* エラー(error)：フォーマットとしての仕様違反や明らかな異常値です。必ず修正してください。
* 警告(warning)：実質的に問題のない場合があります。GTFS-JPの仕様としてGTFSに追加されたファイルや項目については警告が出ることがあります。

無償で利用可能な検証ツールとしては下記等が存在します。

#### FeedValidator(静的)

Google社が開発した、無償で使えるオープンソースのGTFS用検証ツールです。

* 説明ページ：https://github.com/google/transitfeed/wiki/FeedValidator
* Windows版のダウンロード(Ver. 1.2.15)：https://github.com/google/transitfeed/releases/tag/1.2.15

* オンラインサービス（TransitScreen社による提供）：https://gtfsfeedvalidator.transitscreen.com/

#### Google 乗換案内パートナーのフィード検証レポート(静的・動的)

Google Mapsに掲載する際に管理画面から利用可能な検証ツールです。

* 説明ページ：[https://support.google.com/transitpartners/answer/6377383?hl=ja](https://support.google.com/transitpartners/answer/6377383?hl=ja)

#### GTFS-realtime Validator(動的)

南フロリダ大学の都市交通研究センター（CUTR-at-USF）が開発した、無償で使えるオープンソースのGTFSリアルタイム用検証ツールです。Webサーバを構築して利用します。

* 説明ページ：https://github.com/CUTR-at-USF/gtfs-realtime-validator
* オンラインサービス（トラフィックブレイン社による提供）：https://gtfs.t-brain.jp/rt-validator/

#### その他

GTFS, GTFSリアルタイムの検証のためのツールや開発者用ライブラリは、下記のようにいくつか公開されています。

* GTFS.org Testing GTFS Feeds：https://gtfs.org/testing

国内の経路検索事業者からも検証ツールが公開されています。

* ヴァル研究所 gtfstool（開発中）
  * https://github.com/ValLaboratory/gtfstool

GTFSリアルタイムはProtocol Buffersというバイナリ形式で作られているため、内容の確認には下記等のビューアを用います。

* ProtoBufEditor：https://sourceforge.net/projects/protobufeditor/

## 提供

### データ配信

オープンデータ等としてデータ配信を配信する場合の留意点については、「[バス情報配信方法ガイドライン](distribution_guidelines.md)」を参照してください。

### 経路検索事業者への提供

経路検索事業者へ提供する際の留意点については、「[経路検索事業者へのデータ提供の手引き](service_providers.md)」を参照してください。

## 更新

### ダイヤ改正

古い情報が検索結果に現れると、利用者に多大な迷惑がかかるだけでなく、運行事業者や経路検索事業者の信用にも傷がつきます。変更点をダイヤ改正日までに確実に反映できるよう、以下の点などに留意してください。

#### 経路検索サービス等への反映が改正日に間に合うようにする

経路検索サービスへの反映には数日から3週間程度かかるため、前もってデータを作成、提供するようにします。

#### IDをできるだけ変えない

停留所、経路のIDは特段の理由が無い限り変えないことで、経路検索サービス等への反映が迅速かつ正確に行われやすくなります。

### 担当者引き継ぎ

異動により担当者が変わる場合は必ず「データをオープンデータとして配信している」「データを経路検索事業者に提供している」「変更があれば更新が必要」という事は引き継ぎを行って下さい。特に自治体のコミュニティバスなどの場合、後任者が一度も改正を経験せずに異動になるという事もあり得ますので、異動に伴いデータ提供が忘れ去られないように気をつけて下さい。

## 困ったときは

### 参考事例

地域的に近い事例や、事業形態・事業規模・システム導入状況が近い事例を、本解説サイトの「[データ整備・活用事例](example.md)」から探してみましょう。

データの仕様が分からない時は、先行事例の実際のデータが参考になります。

データ作成のプロセスについては、バス事業者や自治体が公開している講演資料などに記載されている、工夫した点や苦労した点などが参考になります。

### 問い合わせ先

* 公共交通データ議論用メーリングリスト（東京大学 伊藤昌毅助教 管理）
  * 経路検索事業者、ダイヤ編成支援システム等の開発者、データ作成者等が参加しているメーリングリストです。
  * https://gtfs.jp/about_ml/

* 国土交通省 総合政策局 公共交通政策部 交通計画課
  * 本解説サイトについての問い合わせ先です。
  * 03-5253-8111（内線54-707）