<div style="text-align: right;">国土交通省　平成31年3月27日版</div>

# はじめよう！「標準的なバス情報フォーマット」

本書は標準的なバス情報フォーマットでデータ整備する意義やメリットを知りたいというニーズに応えるべく作成しています。

主な対象読者はバスに関する各種データを取り扱うバス事業者や自治体（コミュニティバス）の担当職員を想定し、情報化に向けた企画・立案の際に参考となるような内容で構成しています。

なお、『「標準的なバス情報フォーマット」ダイジェスト版（2019年3月）』は、バス事業の経営者や幹部向けに本書を要約して作成しています。合わせてご参照ください。

## フォーマットの概要

「標準的なバス情報フォーマット」とは、バス事業者と、経路検索等の情報利用者との情報の受渡しのための共通フォーマットです。

本フォーマットは、静的データ「GTFS-JP」と動的データ「GTFSリアルタイム」の2種類のフォーマットを包含しています。

![GTFSデータの構成イメージ](images/gtfs_package.png)

| 区分       | フォーマット名                      | 対象とする情報                        | ファイル形式     |
| ---------- | ----------------------------------- | ------------------------------------- | ---------------- |
| 静的データ | GTFS-JP                             | 停留所、路線、便、時刻表、運賃 等     | csvをzipで圧縮   |
| 動的データ | GTFSリアルタイム<br />略称：GTFS-RT | 遅延、到着予測、車両位置、運行情報 等 | Protocol Buffers |

静的、動的どちらのフォーマットも国際的に広く利用されている「GTFS」(General
Transit Feed Specification)を基本としているため、整備した情報が迅速に世界中の経路検索サービスに反映されるという特長があります。



## なぜ経路検索サービスが大事か

本フォーマット制定の目的の一つである経路検索サービスを通じた情報提供には、次のようなメリットがあります。

### バスを調べる手段のNo.1

平成28年12月に内閣府が行った世論調査では、路線バスの利用手段・経路などを調べる手段としては、「インターネット等の経路検索サービス」を挙げた者の割合が41.3％と最も高く、居住地別では大都市、年代別では50歳代までの回答者でその割合が高くなっています。

![search_method](images/search_method.png)



### 来訪者や外国人にバスを認知してもらえる

路線バスは、路線網が複雑で路線の改廃やダイヤ改正も多く、地図への記載やまとまった刊行物等も乏しいため、その存在自体が認知されづらい傾向にあります。経路検索を日常的に利用する来訪者にとっては、**経路検索で情報が表示されないことは公共交通が存在していないことと同義**と認識されつつあります。

多言語案内に対応した経路検索サービスに掲載されることで、訪日外国人にもバスの存在を認知してもらいやすくなります。

### 他社線・他交通手段・徒歩ともシームレスに案内

バス事業者が経路検索事業者に情報を提供することで、他のバス事業者の路線、鉄道や航空等バス以外の交通手段、徒歩等も併せたシームレスな案内が可能となります。これにより、利用者はバスの存在を自然に認識することになり、バス事業者はこれまで取りこぼしていた旅客の需要を取り込むことが可能になるものと考えられます。

### 掲載費がかからないPR手段

現在、国内の主要な経路検索事業者においては、公共交通機関の情報を案内することに関して、交通事業者に対して特段の費用負担等は求めておりません。交通事業者は自社路線を無料でPRすることができます。



## 「標準的なバス情報フォーマット」のメリット

「標準的なバス情報フォーマット」に沿ってデータを整備することには、バス事業者や自治体には次のようなメリットがあります。

### 小規模バス事業者やコミュニティバスも掲載される

これまで経路検索サービスに載りづらかった小規模バス事業者やコミュニティバスについても、本フォーマットにてデータを整備することで、より多くの経路検索サービスに掲載されやすくなります。

* 参考事例：[群馬県内バス路線情報](https://gma.jcld.jp/GMA_OPENDATA/)・[富山県バス情報データ](http://opendata.pref.toyama.jp/pages/gtfs_jp.htm)

[]()![群馬県・富山県のバスオープンデータカタログ](images/gunma_toyama_data_list.png)

### バスロケ情報が経路検索に掲載される

大手バス事業者を中心にバスロケーション（バスロケ）システムの導入が進んでいますが、バスロケーション情報の経路検索サービス等への掲載は、**大手事業者を含めてもごく限定的**な状況です。

事業者ごとの情報提供サービスだけでは、利用の広がりに限界があります。

- 参考事例：バスロケーションシステムの利用率が6.5%（神戸市交通局）
  - [神戸市ネットモニターアンケート調査結果](https://kobecity-monitor.jp/articles/39/attaches/2017070302netquestion.pdf)

自治体による観光アプリ等を通じた情報提供にも、開発コストや利用の広がりに課題があります。

- 参考事例：ご当地観光Androidアプリの69%がダウンロード数1000以下（首都大学東京, 倉田ら）
  - [日本国内のご当地観光アプリの概要把握](http://www.comp.tmu.ac.jp/kurata/research/YKurataMAokiHAi-STI15spring.pdf)

バス事業者は、GTFSリアルタイム形式でバスロケーション情報を提供することで、経路検索サービスを通じた情報提供が簡易に行えるようになります。これにより、地域外から来る利用者にも、経路や出発時間を計画するタイミングで遅れ情報を伝えられるようになり、利用者は待ち時間のストレスなく安心してバスを利用できるようになります。

### 運行情報が経路検索に掲載される

GTFSリアルタイム形式には運行情報を含めることができます。これを活用することで、災害時やイベント開催中の、運休、迂回、増発等の情報を利用者に伝えることができます。

![経路検索と連動した運行情報案内事例](images/alert.png)

### 多様な活用ができる（ワンソース・マルチユース）

バス情報は、経路検索以外の情報提供サービスや、各種交通分析にも有用です。標準的なバス情報フォーマットを多様に活用する「ワンソース・マルチユース」として、次のような活用方法が実施・提案されています。

* My時刻表：その人の発着地にあわせた時刻表を出力
* デジタルサイネージ：複数バス事業者を横断的に情報提供
* マップ：路線図、バスロケマップ
* 交通分析：運行本数や遅れの状況を可視化

![岡山都市圏におけるバスデータの多目的活用](images/multiuse.png)

岡山都市圏におけるバスデータの多目的活用

* My時刻表・マップ・交通分析

オープンデータとして提供することで、バス事業者や経路検索事業者以外の企業や個人によるサービス展開が期待されます。

### バス事業者自身が案内の正確さを向上できる

#### 鮮度向上

フォーマットの共通化により、データ更新にかかる期間が、従来の数週間～2か月程度から、数日～数週間程度に短縮するため、下記のような鮮度の高い案内が可能となります。

* ダイヤ改正への即日対応
* 年末年始・夏休み・イベント等の臨時ダイヤの案内

#### 精度向上

経路検索事業者が正確にデータ化しきれていなかった情報を、バス事業者が正確にデータ化することで、下記のような案内が可能となります。

* 正確な乗り場（標柱）位置、前後の徒歩ルート
* 正確なよみがな・多言語表記

### 業務の効率化ができる

#### データ提供の一本化

経路検索事業者等へ提供するデータを「標準的なバス情報フォーマット」に統一し、データ配信サイトからの提供とすることで、ダイヤ改正時のデータ提供にかかる手間を削減することができます。

#### 業務のIT化とあわせて実施

「標準的なバス情報フォーマット」にもとづくデータ提供と併せてダイヤ編成支援システム等を導入することで、路線・時刻表・バス停位置などの各種データを一元的に管理し、各種帳票等も出力できるようになります。

将来的には、「標準的なバス情報フォーマット」を用いた帳票出力、運行管理等の業務ツールも検討されており、これらが利用可能になれば一層の業務効率化が期待できます。