<div style="text-align: right;">国土交通省　平成31年3月27日版</div>

# 経路検索事業者等へのデータ提供の手引き

本書には、「標準的なバス情報フォーマット」に基づいたデータを、経路検索事業者等に提供する際のプロセスや留意点、各経路検索事業者等に関する情報について記載します。

本書は、データ整備を進めようとしているバス事業者や自治体（コミュニティバス）の担当職員を主な対象読者として作成しています。

## 国内経路検索事業者へのデータ提供について

### 一般的な提供プロセス

バス事業者や自治体がデータを国内の経路検索事業者（コンテンツプロバイダ：CP）に提供するプロセスは、概ね下記の通りです。

1. 【提供者】GTFS-JPデータを作成する
2. 【提供者】CPにデータ提供希望の旨を連絡をする
3. 【CP・提供者】データ授受に関する契約を締結する
4. 【提供者】作成したGTFS-JPデータをCPに提供する
5. 【CP】データ不備のチェック、他交通データも含めた調整をする
6. 【提供者】不備があった場合は交通事業者がデータを修正する（エラーがなくなるまで4～6を繰り返す）
7. 【CP】契約に準じたサービスにて掲載

※各ステップは前後する場合がある
※3.の完了から7.の期間を「初回掲載までの目安期間」

### データ提供に関する留意点

* データ授受契約
  * 基本的には契約の締結が必要ですが、オープンデータとして配信する場合は不要な場合があります。
* 初回掲載までの目安期間
  * 1か月以上かかります。
* ダイヤ改正反映までの目安期間
  * 数日から数週間かかります。ダイヤ改正日に間に合うためには事前のデータ提供が必要です。
* データ掲載にかかる費用
  * 基本的に無料で掲載が可能です。
* 掲載対象
  * 提供した全ての情報が掲載されるとは限りません。データ品質が低い場合、経路検索サービス上で表現できないオンデマンドバス等については掲載されない可能性があります。

### サービス仕様に関する留意点

* バス情報機能の利用費用
  * 一部機能を有料サービスとして利用者に提供しているCPもあります。
* バスロケーション情報を用いた機能
  * 路線上の現在位置表示、乗車バス停への到着予測時刻表示など、CPにより異なります。
* GTFSリアルタイムの対応状況
  * 2019年3月現在、国内CPはGTFSリアルタイムデータの取込には非対応ですが、一部CPは2019年度中の対応を予定しています。

<div style="page-break-before:always"></div>
## 各経路検索事業者に関する情報

2019年3月に行ったアンケート結果を元に、掲載プロセスや情報提供サービス等に関する情報を記載します。

### ヴァル研究所
#### 連絡先
| 項目                    | 記入欄                                                 |
| ----------------------- | ------------------------------------------------------ |
| 会社名                  | 株式会社ヴァル研究所                                   |
| データ連携案内サイトURL | https://ekiworld.net/service/spec/info/commu.html#odps |
| 担当部署名              | 交通データ開発部                                       |
| 電話番号                | 03-5373-3503                                           |
| メール                  | [std_fmt_bus@val.co.jp](mailto:std_fmt_bus@val.co.jp)  |

#### 掲載プロセス
| 項目                                     | 記入欄                                                       |
| ---------------------------------------- | ------------------------------------------------------------ |
| データ授受契約                           | オープンデータの場合は不要                                   |
| 初回掲載までの目安期間                   | 約１ヶ月                                                     |
| ダイヤ改正反映までの目安期間             | ３日程度                                                     |
| 外部連携時の追加必要期間                 | 特になし                                                     |
#### バス情報掲載先のサービス
| 項目                            | 記入欄                                                     |
| ------------------------------- | ---------------------------------------------------------- |
| 主な自社提供サービス            | 駅すぱあとWebサービス、駅すぱあと for   Web、通勤費管理Web |
| 主な外部連携サービス            | Yahoo!路線情報                                             |
| 徒歩と併せた経路検索            | 無料                                                       |
| バスロケ 機能紹介ページURL      | https://www.val.co.jp/topics/2018/1107.html                |
| バスロケ 現在位置               | 無料                                                       |
| バスロケ 乗車バス停到着予測     | 無料                                                       |
| バスロケ 遅延を考慮した経路検索 | 無料                                                       |
| リアルタイム　運行情報          | 無料                                                       |
#### 掲載実績
| 項目              | 記入欄                                                       |
| ----------------- | ------------------------------------------------------------ |
| GTFS(-JP)掲載実績 | 路線バス：約20社<br />コミュニティバス：富山県、福岡県、山梨県、福井県、その他自治体 |
| GTFS-RT掲載実績   | なし                                                         |
#### データ項目対応状況・品質基準
| 項目                                 | 記入欄                                                       |
| ------------------------------------ | ------------------------------------------------------------ |
| GTFS-RT バスロケ                     | 非対応                                                       |
| GTFS-RT 運行情報                     | 非対応                                                       |
| データ受領品質基準・検証ツールの指定 | 独自の検証ツールでのチェックを実施。<br />開発中の検証ツールを公開。<br />https://github.com/ValLaboratory/gtfstool |

<div style="page-break-before:always"></div>

### 駅探

#### 連絡先

| 項目                    | 記入欄                                              |
| ----------------------- | --------------------------------------------------- |
| 会社名                  | 株式会社　駅探                                      |
| データ連携案内サイトURL |                                                     |
| 担当部署名              | 乗換データGr                                        |
| 電話番号                |                                                     |
| メール                  | [busdata@ekitan.co.jp](mailto:busdata@ekitan.co.jp) |

#### 掲載プロセス

| 項目                                                 | 記入欄                                           |
| ---------------------------------------------------- | ------------------------------------------------ |
| データ授受契約                                       | 必要。ただし、オープンデータの場合は不要         |
| 初回掲載までの目安期間（大きなデータ不備が無い場合） | 提供いただいた順に、順次対応させていただきます。 |
| ダイヤ改正反映までの目安期間                         | 1週間程度（対応時期により着手日は前後します）    |
| 外部連携時の追加必要期間                             |                                                  |

#### バス情報掲載先のサービス

| 項目                            | 記入欄                                                       |
| ------------------------------- | ------------------------------------------------------------ |
| 主な自社提供サービス            | 「ekitan」（https://ekitan.com）<br />「駅探★乗換案内」（https://sp.ekitan.com） |
| 主な外部連携サービス            | NTTドコモ（dメニュー「乗換案内/運行情報」、iMenu「乗換案内」） |
| 徒歩と併せた経路検索            |                                                              |
| バスロケ 機能紹介ページURL      |                                                              |
| バスロケ 現在位置               |                                                              |
| バスロケ 乗車バス停到着予測     |                                                              |
| バスロケ 遅延を考慮した経路検索 |                                                              |
| リアルタイム　運行情報          |                                                              |

#### 掲載実績

| 項目              | 記入欄                                                       |
| ----------------- | ------------------------------------------------------------ |
| GTFS(-JP)掲載実績 | 20190320時点：13社局<br />山梨交通バス、名士バス、日光市営バス、大和高田市コミュニティバス、広陵町コミュニティバス、富山市コミュニティバス、朝日町コミュニティバス、入善町コミュニティバス、滑川市コミュニティバス、砺波市コミュニティバス、高岡市コミュニティバス、立山町コミュニティバス、魚津市コミュニティバス |
| GTFS-RT掲載実績   | なし                                                         |

#### データ項目対応状況・品質基準

| 項目                                 | 記入欄 |
| ------------------------------------ | ------ |
| GTFS-RT バスロケ                     | 非対応 |
| GTFS-RT 運行情報                     | 非対応 |
| データ受領品質基準・検証ツールの指定 |        |

<div style="page-break-before:always"></div>

### Google

下記のページをご覧ください。

- [乗換案内パートナープログラム](https://www.google.com/help/maps/mapcontent/transit/)
- [乗換案内パートナー　ヘルプページ](https://support.google.com/transitpartners/?hl=ja#topic=3521043)
- [お問い合わせ先](https://support.google.com/transitpartners/contact/agency_participate)（プログラムへのご参加）
- [お問い合わせ先](https://support.google.com/transitpartners/contact/feature_request?hl=ja&cfsi=supported_languages&cfnti=6154581&cft=3)（機能や仕様に関するリクエスト）
- [プログラムへの参加プロセス](https://support.google.com/transitpartners/answer/6368428?hl=ja&ref_topic=2527461&visit_id=636880903279220564-2171235008&rd=1)
- [GTFS/GTFS-RTの掲載実績](http://www.michinori.co.jp/pdf/20190201_PR_kanto.pdf)
- [品質保証基準](https://support.google.com/transitpartners/answer/7529583?hl=ja&ref_topic=2527461)
- [品質検証ツール](https://support.google.com/transitpartners/answer/6377383?hl=ja&ref_topic=6377382)

<div style="page-break-before:always"></div>

### ジョルダン

#### 連絡先

| 項目                    | 記入欄                                                      |
| ----------------------- | ----------------------------------------------------------- |
| 会社名                  | ジョルダン株式会社                                          |
| データ連携案内サイトURL | <https:///www.ptd-hs.jp/> ※予定                             |
| 担当部署名              | 公共交通部                                                  |
| 電話番号                | 03-5925-8212                                                |
| メール                  | [ptd-hub-ml@jorudan.co.jp](mailto:ptd-hub-ml@jorudan.co.jp) |

#### 掲載プロセス

| 項目                                                 | 記入欄                     |
| ---------------------------------------------------- | -------------------------- |
| データ授受契約                                       | オープンデータの場合は不要 |
| 初回掲載までの目安期間（大きなデータ不備が無い場合） | 2か月                      |
| ダイヤ改正反映までの目安期間                         | 3週間                      |
| 外部連携時の追加必要期間                             | Google/Apple：月1回更新    |

#### バス情報掲載先のサービス
| 項目                            | 記入欄                            |
| ------------------------------- | --------------------------------- |
| 主な自社提供サービス            | 乗換案内                          |
| 主な外部連携サービス            | Google、Apple、ゼンリンいつもナビ |
| 徒歩と併せた経路検索            | 無料                              |
| バスロケ 機能紹介ページURL      | 非対応                            |
| バスロケ 現在位置               | 非対応                            |
| バスロケ 乗車バス停到着予測     | 有料                              |
| バスロケ 遅延を考慮した経路検索 | 非対応                            |
| リアルタイム　運行情報          | 非対応                            |

#### 掲載実績
| 項目              | 記入欄                                                       |
| ----------------- | ------------------------------------------------------------ |
| GTFS(-JP)掲載実績 | 路線バス：12、コミュニティ：35<br />主なバス事業者：名士バス・日光市営バス・永井運輸・日本中央バス・富士急山梨バス※・山梨交通※・宇野自動車・長崎県営バス・九州産交バス・熊本電鉄バス・本巣市営バス※・青森市営バス<br/>コミュニティバス：富山の14市町ほか<br/>※一部使用しているのは5社 |
| GTFS-RT掲載実績   | 関東自動車、会津乗合自動車                                   |

#### データ項目対応状況・品質基準

| 項目                                 | 記入欄                 |
| ------------------------------------ | ---------------------- |
| GTFS-RT バスロケ                     | 実績有                 |
| GTFS-RT 運行情報                     | 非対応                 |
| データ受領品質基準・検証ツールの指定 | 現状、特に定めていない |

<div style="page-break-before:always"></div>

### ナビタイムジャパン

#### 連絡先

| 項目                    | 記入欄                                                       |
| ----------------------- | ------------------------------------------------------------ |
| 会社名                  | 株式会社ナビタイムジャパン                                   |
| データ連携案内サイトURL | 2019年3月現在なし。<br />今後掲載希望事業者向けのHPの準備を検討致します。 |
| 担当部署名              | ビジネス開発部                                               |
| 電話番号                | 03-3402-8807                                                 |
| メール                  | [data-kikaku@navitime.co.jp](mailto:data-kikaku@navitime.co.jp) |
#### 掲載プロセス
| 項目                                     | 記入欄                                                       |
| ---------------------------------------- | ------------------------------------------------------------ |
| データ授受契約                           | 必要、オープンデータの場合は不要                             |
| 初回掲載までの目安期間                   | データをご提供頂けました団体様から順に着手させて頂きます。1ヶ月～3ヶ月を目途とさせて下さい。 |
| ダイヤ改正反映までの目安期間             | 新規路線追加などの場合は2-3週間。既存路線の時刻変更の場合は10営業日程頂きたいです。 |
| 外部連携時の追加必要期間                 | 更新頻度に制限がある外部連携サービスはございません。頂きました情報は弊社が管理するサーバーに上記の日数を頂き格納させて頂き、全てのサービスはそのサーバーからデータを配信しております。 |
#### バス情報掲載先のサービス
| 項目                                     | 記入欄                                                       |
| ---------------------------------------- | ------------------------------------------------------------ |
| 主な自社提供サービス                     | NAVITIME, バスNAVITIME, NAVITIME for Japan Travel            |
| 主な外部連携サービス                     | [auナビウォーク](https://eznavi.auone.jp/), [JAPAN OFFICIAL TRAVEL APP](https://www.jnto.go.jp/smartapp/eng/) |
| 徒歩と併せた経路検索                     | 有料                                                         |
| バスロケ 機能紹介ページURL               | なし                                                         |
| バスロケ 現在位置                        | 有料                                                         |
| バスロケ 乗車バス停到着予測              | 2019年3月時点で準備中                                        |
| バスロケ 遅延を考慮した経路検索          | 2019年度中対応予定                                           |
| リアルタイム　運行情報                   | 2019年度中対応予定                                           |
#### 掲載実績

| 項目                                     | 記入欄                                                       |
| ---------------------------------------- | ------------------------------------------------------------ |
| GTFS(-JP)掲載実績                        | 2019.3月現在以下対応済<br/>青森市営バス・北恵那交通・熊本電鉄バス・名士バス・日本中央バス・北海道拓殖バス・宇野バス・山梨交通・奈良県吉野町・栃木県日光市・奈良県広陵町・奈良県大和高田市・愛知県豊橋市・富山県南砺市・石川県野々市市・東洋バス・長崎県営バス |
| GTFS-RT掲載実績                          | なし                                                         |
#### データ項目対応状況・品質基準

| 項目                                     | 記入欄                                                       |
| ---------------------------------------- | ------------------------------------------------------------ |
| GTFS-RT バスロケ                         | 2019年度中対応予定                                           |
| GTFS-RT 運行情報                         | 2019年度中対応予定                                           |
| データ受領品質基準・検証ツールの指定     | 必須ファイルが必ずあること                                   |

<div style="page-break-before:always"></div>

## データ配信プラットフォームに関する情報

2019年3月に行ったアンケート結果を元に、掲載プロセス等に関する情報を記載します。

### 公共交通オープンデータ協議会

2019年度より、鉄道・バス・航空などの公共交通関連のデータを、ワンストップで一般のサービス開発者やICTベンダーに提供に提供する「公共交通オープンデータ・センター」を公開予定です。

公共交通オープンデータ協議会にGTFSデータを提供することで、経路検索サービス事業者を含む様々なサービス開発者に、データを公開することが可能になります。

（詳細は、公共交通オープンデータ協議会に、お問い合わせください。）

#### 連絡先
| 項目                                                 | 記入欄                                                       |
| ---------------------------------------------------- | ------------------------------------------------------------ |
| 会社名                                               | 公共交通オープンデータ協議会                                 |
| データ連携案内サイトURL                              | 公共交通オープンデータセンターの公開と併せ、整備する予定     |
| 担当部署名                                           | 公共交通オープンデータ協議会 事務局      (YRP ユビキタス・ネットワーキング研究所内) |
| 電話番号                                             | 03-5437-2270                                                 |
| メール                                               | odpt-office@ubin.jp                                          |
#### 掲載プロセス
| 項目                                     | 記入欄                                                       |
| ---------------------------------------- | ------------------------------------------------------------ |
| 標準的な提供プロセスとの差異                         | データの公開を希望される場合、公共交通オープンデータ協議会への入会を、お願いいたします。 |
| データ授受契約                                       | データ授受に際しては、データ公開条件について本協議会とバス事業者様の間で調整をさせていただきます。 |
| 初回掲載までの目安期間（大きなデータ不備が無い場合） | 1ヶ月程度                                                    |
| ダイヤ改正反映までの目安期間                         | 1週間程度                                                    |
| 外部連携時の追加必要期間                             | 該当せず                                                     |

